void iomode()
{
//=========Macro describing the ROOT general I/O principles
//======== the serial buffer and the split modes

   char *slide="iomode";
   InitCanvas(slide);
  
   ptit = new TPaveLabel(2,22.5,18,23.5,"Same Object Model   +  Choice of Buffering techniques");
   ptit->SetFillColor(21);
   ptit->SetTextSize(0.99);
   ptit->Draw();

   Int_t headercolor = 5;
   Int_t vertexcolor = 30;
   Int_t trackscolor = 8;
   Int_t tofcolor    = 6;
   Int_t calorcolor  = 7;

   ldot = new TLine();
   ldot->SetLineWidth(8);
   ldot->SetLineStyle(3);
   ldot->DrawLine(9.5,9,13.5,9);
   ldot->DrawLine(9.5,8,13.5,8);

   pevent = new TPaveText(9,16,11,17);
   pevent->SetFillColor(46);
   pevent->AddText("Event");
   pevent->Draw();

   pheader = new TPaveText(0.5,13,2.5,14);
   pheader->SetFillColor(headercolor);
   pheader->AddText("Header");
   pheader->AddText("object");
   pheader->Draw();

   pvertex = new TPaveText(3.5,12.5,5.5,14);
   pvertex->SetFillColor(vertexcolor);
   pvertex->AddText("Vertex");
   pvertex->AddText("TObjArray");
   pvertex->Draw();

   ptracks = new TPaveText(8.5,12,11.5,14);
   ptracks->SetFillColor(trackscolor);
   ptracks->AddText("TPC Tracks");
   ptracks->AddText("TClonesArray");
   ptracks->Draw();

   ptof = new TPaveText(14.5,13,16.5,14);
   ptof->SetFillColor(tofcolor);
   ptof->AddText("TOF");
   ptof->AddText("object");
   ptof->Draw();

   pcalor = new TPaveText(17.5,13,19.5,14);
   pcalor->SetFillColor(calorcolor);
   pcalor->AddText("Calor");
   pcalor->AddText("object");
   pcalor->Draw();

   pserial = new TPaveText(1,20,19,21);
   pserial->SetFillColor(17);
   pserial->SetBorderSize(6);
   pserial->Draw();
   psheader = new TPaveLabel(1,20,2.5,21,"H");
   psheader->SetFillColor(headercolor);
   psheader->Draw();
   psvertex = new TPaveLabel(2.5,20,4.5,21,"V*");
   psvertex->SetFillColor(vertexcolor);
   psvertex->Draw();
   pstracks = new TPaveLabel(4.5,20,13,21,"Tracks*");
   pstracks->SetFillColor(trackscolor);
   pstracks->Draw();
   pstof = new TPaveLabel(13,20,14.5,21,"TOF");
   pstof->SetFillColor(tofcolor);
   pstof->Draw();
   pscalor = new TPaveLabel(14.5,20,16.5,21,"Calor");
   pscalor->SetFillColor(calorcolor);
   pscalor->Draw();
   psheader2 = new TPaveLabel(16.5,20,18,21,"H2");
   psheader2->SetFillColor(headercolor);
   psheader2->Draw();

   sheader = new TPavesText(1,7,2,10,3,"tr");
   sheader->SetFillColor(headercolor);
   sheader->AddText("H1");
   sheader->AddText("H2");
   sheader->AddText("H3");
   sheader->AddText(" ");
   sheader->AddText(" ");
   sheader->AddText("..");
   sheader->Draw();

   svertex = new TPavesText(4,6.5,5,10,3,"tr");
   svertex->SetFillColor(vertexcolor);
   svertex->AddText("V*1");
   svertex->AddText("V*2");
   svertex->AddText("V*3");
   svertex->AddText(" ");
   svertex->AddText(" ");
   svertex->AddText("..");
   svertex->Draw();

   spx = new TPavesText(7,4,8,10,6,"tr");
   spx->SetFillColor(trackscolor);
   spx->AddText("px*1");
   spx->AddText("px*2");
   spx->AddText("px*3");
   spx->AddText(" ");
   spx->AddText(" ");
   spx->AddText("..");
   spx->Draw();

   spy = new TPavesText(9,4,10,10,6,"tr");
   spy->SetFillColor(trackscolor);
   spy->AddText("py*1");
   spy->AddText("py*2");
   spy->AddText("py*3");
   spy->AddText(" ");
   spy->AddText(" ");
   spy->AddText("..");
   spy->Draw();

   sw = new TPavesText(11,3,12,10,8,"tr");
   sw->SetFillColor(trackscolor);
   sw->AddText("w*1");
   sw->AddText("w*2");
   sw->AddText("w*3");
   sw->AddText(" ");
   sw->AddText(" ");
   sw->AddText("..");
   sw->Draw();

   spid = new TPavesText(13,7,14,10,3,"tr");
   spid->SetFillColor(trackscolor);
   spid->AddText("pid*1");
   spid->AddText("pid*2");
   spid->AddText("pid*3");
   spid->AddText(" ");
   spid->AddText(" ");
   spid->AddText("..");
   spid->Draw();

   stof = new TPavesText(15,4,16,10,4,"tr");
   stof->SetFillColor(tofcolor);
   stof->AddText("tof1");
   stof->AddText("tof2");
   stof->AddText("tof3");
   stof->AddText(" ");
   stof->AddText(" ");
   stof->AddText("..");
   stof->Draw();

   scalor = new TPavesText(18,3,19,10,7,"tr");
   scalor->SetFillColor(calorcolor);
   scalor->AddText("calor1");
   scalor->AddText("calor2");
   scalor->AddText("calor3");
   scalor->AddText(" ");
   scalor->AddText(" ");
   scalor->AddText("..");
   scalor->Draw();

   arrow = new TArrow();
   arrow->SetLineWidth(4);
   arrow->DrawArrow(1.5,14,1.5,19.7,0.01,"|>"); //header
   arrow->DrawArrow(4.5,14,4.5,15,0.001,"|>"); //vertex
   arrow->DrawArrow(4.5,15,3.5,15,0.001,"|>");
   arrow->DrawArrow(3.5,15,3.5,19.7,0.01,"|>");
   arrow->DrawArrow(8.7,14,8.7,19.7,0.01,"|>"); //tracks
   arrow->DrawArrow(15.5,14,15.5,15.2,0.001,"|>"); //tof
   arrow->DrawArrow(15.5,15.2,14,15.2,0.001,"|>");
   arrow->DrawArrow(14,15.2,14,19.7,0.01,"|>");
   arrow->DrawArrow(18.5,14,18.5,15.5,0.001,"|>"); //calor
   arrow->DrawArrow(18.5,15.5,15.5,15.5,0.001,"|>");
   arrow->DrawArrow(15.5,15.5,15.5,19.7,0.01,"|>");
   arrow->DrawArrow(10,16,2.5,14,0.001,"|>");
   arrow->DrawArrow(10,16,5.5,14,0.001,"|>");
   arrow->DrawArrow(10,16,10,14,0.001,"|>");
   arrow->DrawArrow(10,16,14.5,14,0.001,"|>");
   arrow->DrawArrow(10,16,17.5,14,0.001,"|>");

   arrow->DrawArrow(1.5,13,1.5,10,0.001,"|>");  //header
   arrow->DrawArrow(4.5,12.5,4.5,10,0.001,"|>");  //vertex
   arrow->DrawArrow(10,12,7.5,10,0.001,"|>");  //px
   arrow->DrawArrow(10,12,9.5,10,0.001,"|>");  //py
   arrow->DrawArrow(10,12,11.5,10,0.001,"|>"); //w
   arrow->DrawArrow(10,12,13.5,10,0.001,"|>"); //pid
   arrow->DrawArrow(15.5,13,15.5,10,0.001,"|>"); //tof
   arrow->DrawArrow(18.5,13,18.5,10,0.001,"|>"); //calor

   arrow->DrawArrow(10,2,2,6.9,0.01,"|>");    //basket to header
   arrow->DrawArrow(10,2,8.0,3.7,0.01,"|>");  //basket to px
   arrow->DrawArrow(10,2,9.5,3.7,0.01,"|>");  //basket to py
   arrow->DrawArrow(10,2,15.2,3.8,0.01,"|>"); //basket to tof
   arrow->SetLineWidth(16);
   arrow->DrawArrow(18,20.5,19.9,20.5,0.025,">");

   TText *tvert = new TText();
   tvert->SetTextFont(62);
   tvert->SetTextSize(0.023);
   tvert->SetTextAlign(22);
   tvert->SetTextAngle(90);
   tvert->DrawText(1.1,17.4,"THeader::Streamer");
   tvert->DrawText(3.1,17.4,"TVertex::Streamer");
   tvert->DrawText(8.3,17.4,"TTrack::Streamer");
   tvert->DrawText(13.6,17.4,"TTOF::Streamer");
   tvert->DrawText(15.1,17.4,"TCalor::Streamer");
   tvert->DrawText(1.1,11.5,"TTree::Fill");
   tvert->DrawText(4.1,11.2,"TTree::Fill");
   tvert->DrawText(15.1,11.5,"TTree::Fill");
   tvert->DrawText(18.1,11.5,"TTree::Fill");
   tvert->SetTextAngle(-28);
   tvert->DrawText(12,11.2,"TTree::Fill");

   psplit = new TPaveLabel(4,1,16,2,"SPLIT mode: Buffers are Branch baskets");
   psplit->SetFillColor(42);
   psplit->Draw();
   pser = new TPaveLabel(6,21,14,22,"Serial I/O  : TBuffer");
   pser->SetFillColor(42);
   pser->Draw();

   Signe(slide);
}
