{
   gROOT->Reset();
   Float_t xsize = 20;
   Float_t ysize = 24;
   gStyle->SetPaperSize(xsize,ysize);
   gStyle->SetFrameFillColor(22);
   gStyle->SetTitleColor(42);
   TCanvas *c1 = new TCanvas("c1", "c1",20,79,750,610);
   c1->SetLeftMargin(0.114162);
   c1->SetGrid();
   c1->SetFillColor(32);
//    Update the following 4 lines
   Int_t totmax = 2500;
   Float_t ymax = 500;
   Float_t nweeks = 40;
   Float_t thisweek = 36;

   frame = new TH1F("frame","ROOT distribution statistics",nweeks,0,nweeks);
   frame->SetMinimum(0);
   frame->SetMaximum(ymax);
   frame->SetXTitle("week number");
   frame->SetYTitle("FTP distributions / OS");
   frame->Draw();
   c1->Update();
   frame->GetYaxis()->SetLabelSize(0.040);
   frame->GetXaxis()->SetLabelSize(0.040);
   Int_t np = 4;
   Int_t lw = 8;
   Int_t totcolor = 2;
   Float_t linux[np] = {0,158,0,616-158};
   Float_t windows[np] = {0,270,0,453-270};
   Float_t windows95[np] = {0,0,0,241-7};
   Float_t hp[np] = {0,146,0,291-146};
   Float_t aix[np] = {0,77,0,142-77};
   Float_t osf1[np] = {0,91,0,194-91};
   Float_t sun[np] = {0,73,0,182-73};
   Float_t sgi[np] = {0,26,0,85-26};
   Float_t total[np] = {0,964*ymax/totmax,2378*ymax/totmax};
   Float_t time[3] = {2,18,thisweek};
   grlinux8   = new TGraph(2,time,linux);
   grwindows8 = new TGraph(2,time,windows);
   grhp8      = new TGraph(2,time,hp);
   graix8     = new TGraph(2,time,aix);
   grosf18    = new TGraph(2,time,osf1);
   grsun8     = new TGraph(2,time,sun);
   grsgi8     = new TGraph(2,time,sgi);
   grtotal    = new TGraph(3,time,total);
   grlinux8->SetMarkerStyle(21);
   grwindows8->SetMarkerStyle(22);
   grhp8->SetMarkerStyle(20);
   graix8->SetMarkerStyle(29);
   grosf18->SetMarkerStyle(23);
   grsun8->SetMarkerStyle(28);
   grsgi8->SetMarkerStyle(25);
   grtotal->SetMarkerStyle(21);
   grtotal->SetMarkerColor(1);
   grtotal->SetLineWidth(12);
   grtotal->SetLineStyle(2);
   grtotal->SetLineColor(totcolor);
   grlinux8->SetLineWidth(lw);
   grwindows8->SetLineWidth(lw);
   grhp8->SetLineWidth(lw);
   graix8->SetLineWidth(lw);
   grosf18->SetLineWidth(lw);
   grsun8->SetLineWidth(lw);
   grsgi8->SetLineWidth(lw);
   grlinux8->SetLineColor(1);
   grwindows8->SetLineColor(2);
   grhp8->SetLineColor(3);
   graix8->SetLineColor(4);
   grosf18->SetLineColor(5);
   grsun8->SetLineColor(1);
   grsgi8->SetLineColor(7);
   grlinux8->Draw("lp");
   grwindows8->Draw("lp");
   grhp8->Draw("lp");
   graix8->Draw("lp");
   grosf18->Draw("lp");
   grsun8->Draw("lp");
   grsgi8->Draw("lp");
   grtotal->Draw("lp");

   grlinux9   = new TGraph(2,&time[1],&linux[2]);
   grwindows9 = new TGraph(2,&time[1],&windows[2]);
   grwindows5 = new TGraph(2,&time[1],&windows95[2]);
   grhp9      = new TGraph(2,&time[1],&hp[2]);
   graix9     = new TGraph(2,&time[1],&aix[2]);
   grosf19    = new TGraph(2,&time[1],&osf1[2]);
   grsun9     = new TGraph(2,&time[1],&sun[2]);
   grsgi9     = new TGraph(2,&time[1],&sgi[2]);
   grlinux9->SetMarkerStyle(21);
   grwindows9->SetMarkerStyle(22);
   grwindows5->SetMarkerStyle(23);
   grhp9->SetMarkerStyle(20);
   graix9->SetMarkerStyle(29);
   grosf19->SetMarkerStyle(23);
   grsun9->SetMarkerStyle(28);
   grsgi9->SetMarkerStyle(25);
   grlinux9->SetLineWidth(lw);
   grwindows9->SetLineWidth(lw);
   grwindows5->SetLineWidth(lw);
   grhp9->SetLineWidth(lw);
   graix9->SetLineWidth(lw);
   grosf19->SetLineWidth(lw);
   grsun9->SetLineWidth(lw);
   grsgi9->SetLineWidth(lw);
   grlinux9->SetLineColor(1);
   grwindows9->SetLineColor(2);
   grwindows5->SetLineColor(6);
   grhp9->SetLineColor(3);
   graix9->SetLineColor(4);
   grosf19->SetLineColor(5);
   grsun9->SetLineColor(1);
   grsgi9->SetLineColor(7);
   grlinux9->Draw("lp");
   grwindows9->Draw("lp");
   grwindows5->Draw("lp");
   grhp9->Draw("lp");
   graix9->Draw("lp");
   grosf19->Draw("lp");
   grsun9->Draw("lp");
   grsgi9->Draw("lp");


   TPaveLabel *pl = new TPaveLabel(18.3,263,23.3,280," WindowsNT + 95 ","br");
   Int_t lcol = 33;
   pl->SetFillColor(lcol);
   pl->SetTextSize(0.7);
   pl->Draw();
   
   
   Float_t t3 = time[2] + 0.3;
   Float_t dy=15;
   Int_t nl = np-1;
   pl = new TPaveLabel(t3,linux[nl],t3+2.6,linux[nl]+dy,"Linux","br");
   pl->SetFillColor(lcol);
   pl->SetLineColor(grlinux9->GetLineColor());
   pl->SetTextSize(0.7);
   pl->Draw();
   pl = new TPaveLabel(t3,total[2],t3+2.6,total[2]+dy,"Total","br");
   pl->SetFillColor(lcol);
   pl->SetTextSize(0.7);
   pl->Draw();
   pl = new TPaveLabel(t3,windows95[nl],t3+3,windows95[nl]+dy," Windows95 ","br");
   pl->SetFillColor(lcol);
   pl->SetLineColor(grwindows5->GetLineColor());
   pl->SetTextSize(0.7);
   pl->Draw();
   pl = new TPaveLabel(t3,windows[nl],t3+3,windows[nl]+dy," WindowsNT ","br");
   pl->SetFillColor(lcol);
   pl->SetLineColor(grwindows9->GetLineColor());
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pl = new TPaveLabel(t3,hp[nl],t3+2.3,hp[nl]+dy,"HP","br");
   pl->SetFillColor(lcol);
   pl->SetLineColor(grhp9->GetLineColor());
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pl = new TPaveLabel(t3,sun[nl],t3+2.3,sun[nl]+dy,"SUN","br");
   pl->SetFillColor(lcol);
   pl->SetLineColor(grsun9->GetLineColor());
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pl = new TPaveLabel(t3,osf1[nl]-dy,t3+2.3,osf1[nl],"OSF1","br");
   pl->SetFillColor(lcol);
   pl->SetLineColor(grosf19->GetLineColor());
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pl = new TPaveLabel(t3,aix[nl],t3+2.3,aix[nl]+dy,"AIX","br");
   pl->SetFillColor(lcol);
   pl->SetLineColor(graix9->GetLineColor());
   pl->SetTextSize(0.7);
   pl->Draw();
   
   pl = new TPaveLabel(t3,sgi[nl]-dy,t3+2.3,sgi[nl],"SGI","br");
   pl->SetFillColor(lcol);
   pl->SetLineColor(grsgi9->GetLineColor());
   pl->SetTextSize(0.8);
   pl->Draw();
   TText *text = new TText(3,ymax-50,"root 0.8");
   text->SetTextAlign(22);
   text->SetTextSize(0.025);
   text->Draw();
   text->DrawText(3,ymax-75,"10  September");
   text->DrawText(18,ymax-50,"root 0.9");
   text->DrawText(18,ymax-75,"14 January");

   TArrow *arrow = new TArrow(18,ymax-85,18,ymax-135,0.02,"|>");
   arrow->SetFillColor(1);
   arrow->SetFillStyle(1001);
   arrow->Draw();
   arrow = new TArrow(3,ymax-85,3,ymax-135,0.02,"|>");
   arrow->SetFillColor(1);
   arrow->SetFillStyle(1001);
   arrow->Draw();
   TPaveText *pt = new TPaveText(1.1,250,15,300,"br");
   pt->SetFillColor(42);
   pt->AddText("More than 2300 library distributions");
   pt->AddText("for versions 0.8 and 0.9");
   pt->Draw();

   TGaxis *ax = new TGaxis(nweeks,0,nweeks,ymax,0,totmax,10,"+L") ;
   ax->SetTextColor(totcolor);
   ax->Draw();
   Float_t xtotal = c1->GetX2()-1.5;
   TText *tax = new TText(xtotal,ymax,"Total FTP distributions");
   tax->SetTextSize(0.035);
   tax->SetTextColor(totcolor);
   tax->SetTextAngle(-90);
   tax->Draw();
   c1->Print("stats.ps");
}
